Subject: Email was not delivered to [email-masked]
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 19 Mar 2023 15:46:13 +0000

Hi Mohammad Khalid,  
  The following message composed by you on ticket 5857184 failed to reach the recipient [email-masked]. 
  Reason: "Emails from your domain are blocked by the recipient mail server due to content of this email classified as spam or spam emails sent earlier. Please verify the content of email and try again later..  "
  Message content:  Hi Team,  Problem Statement: Return/replacement  Order Date : Mar 12, 2023 Order ID: 9418995275  Assistance Required: Need assistance  item: 163482839 -- Juniors Crib Foam Mattress for babies (120cmx60cmx10cm)  Issue Description: Customer is reporting that "Baby Mattress, I tried it on the baby cot we have but it didn’t fit at all. I asked the delivery responsible to take it back but he refused saying I need to approach the company with the order number and inquire about the exchange policy. The product is not used and never touched. I need to replace the product with another one of dimensions 132X70X14 which costs 225 AED, exchange it with the one I have 120X60X10 and pay the difference. Please find the pictures of the product that I needed to attached based on Babyshop customer service. Looping Dubai Police and Dubai Customer Rights Department of Economic Development DED as well to the email as I filed a complaint over there too. One more thing to end the email with. I don’t appreciate the level of customer service I received over my last call requesting help with the return of the mattress. I’m native Arabic speaker talking in English on the call. Your customer service representatives have been talking very rude in Arabic in the background assuming that I don’t understand the conversation. You may listen to the recording but none is appreciated."  PFA and look into the issue, assist in further course of action.  Regards, Mohammad Khalid